summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2016-03-10 01:39:23 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2016-03-18 20:09:50 +0000
commitd8a2c791b281ef2c55781a6e8b23fc63a2ce4bef (patch)
tree0453063b6c9fd9873f01c73d36092cda3e422039 /sci-libs
parentadded LIBAEC license (diff)
downloadgentoo-d8a2c791b281ef2c55781a6e8b23fc63a2ce4bef.tar.gz
gentoo-d8a2c791b281ef2c55781a6e8b23fc63a2ce4bef.tar.bz2
gentoo-d8a2c791b281ef2c55781a6e8b23fc63a2ce4bef.zip
sci-libs/libaec: initial import
Package-Manager: portage-2.2.27
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/libaec/Manifest1
-rw-r--r--sci-libs/libaec/libaec-0.3.2.ebuild36
-rw-r--r--sci-libs/libaec/metadata.xml17
3 files changed, 54 insertions, 0 deletions
diff --git a/sci-libs/libaec/Manifest b/sci-libs/libaec/Manifest
new file mode 100644
index 00000000000..9cb25f850f3
--- /dev/null
+++ b/sci-libs/libaec/Manifest
@@ -0,0 +1 @@
+DIST libaec-0.3.2.tar.gz 353185 SHA256 acb7cbf4e8f3c63a9ea1af1e1a2d0c9658f4831deb7327f110bdd5c187dc3441 SHA512 c3935f7d3e2e289e66f24d5af8f8fe21aab1044adbe883708ed64eb194bf93511fe2a9dd2b1658571ebbcc502123b3a5e6dfaa1bc4a1b85eaeaedc8b43d8085e WHIRLPOOL 56214327aeebcfac3c3e828ceb8187d00b8cebeec3cf10777c25edd69c74fe7c89fca2a42591bddc3aaa14f3d301371664f80627d902709f2b87a6b54de3bcc0
diff --git a/sci-libs/libaec/libaec-0.3.2.ebuild b/sci-libs/libaec/libaec-0.3.2.ebuild
new file mode 100644
index 00000000000..6bc37f2e7e9
--- /dev/null
+++ b/sci-libs/libaec/libaec-0.3.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils
+# number that might change every version
+PID=453
+
+DESCRIPTION="Adaptive Entropy Coding library"
+HOMEPAGE="https://www.dkrz.de/redmine/projects/aec"
+SRC_URI="https://www.dkrz.de/redmine/attachments/download/${PID}/${P}.tar.gz"
+
+LICENSE="LIBAEC"
+SLOT="0/2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs +szip"
+
+DEPEND=""
+RDEPEND="szip? ( !sci-libs/szip )"
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ # avoid conflict with szip (easier than to patch autotools)
+ if ! use szip; then
+ rm "${ED}"/usr/include/szlib.h || die
+ rm "${ED}"/usr/$(get_libdir)/libsz* || die
+ rm "${ED}"/usr/share/doc/${PF}/README.SZIP || die
+ fi
+ use static-libs || prune_libtool_files --all
+}
diff --git a/sci-libs/libaec/metadata.xml b/sci-libs/libaec/metadata.xml
new file mode 100644
index 00000000000..6d596231fcd
--- /dev/null
+++ b/sci-libs/libaec/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+</maintainer>
+<longdescription lang="en">
+ Libaec provides fast lossless compression of 1 up to 32 bit wide
+ signed or unsigned integers (samples). The library achieves best
+ results for low entropy data as often encountered in space imaging
+ instrument data or numerical model output from weather or climate
+ simulations. While floating point representations are not directly
+ supported, they can also be efficiently coded by grouping exponents
+ and mantissa.
+</longdescription>
+</pkgmetadata>